function CstMonitor(fid,CName,CDomain,CFtype,CFrequency)
global mws monitor;

% Funkce CstMonitor(fid,CName,CDomain,CFtype,CFrequency) je vhodná pro vytvoření
% monitorování na zvolené frekvencí. Funkce nemá návratovou hodnotu.

% Parametry funkce:

% fid - soubor identifikující historii CST skriptu.

% CName – jméno monitoru.
% CDomain – typ domény(frekvenční, časová).
% CFtype – nastavení co bude monitorováno („Efield“, „Hfield“, „Farfield“, atd.).
% CFrequency – monitorovaná frekvence.

% Příklad použití funkce:

% fid = fopen('pokus.m', 'wt');
% ...
% CstMonitor(fid,'farfield (f=1.6433)','Frequency','Farfield',1.6433);

    % Vytvoreni noveho monitoru
    fprintf(fid, '%% Vytvoreni noveho monitoru\n');
    fprintf(fid, 'monitor = mws.invoke(''Monitor'');\n');
    fprintf(fid, 'monitor.invoke(''Reset'');\n');
    fprintf(fid, ['monitor.invoke(''Name'',''',CName,''');\n']);
    fprintf(fid, ['monitor.invoke(''Domain'',''',CDomain,''');\n']);
    fprintf(fid, ['monitor.invoke(''FieldType'',''',CFtype,''');\n']);
    fprintf(fid, ['monitor.invoke(''Frequency'',',num2str(CFrequency),');\n']);
    fprintf(fid, 'monitor.invoke(''Create'');\n\n');

    % Prime vytvoreni noveho monitoru v CST
    monitor = mws.invoke('Monitor');
    monitor.invoke('Reset');
    monitor.invoke('Name',CName);
    monitor.invoke('Domain',CDomain);
    monitor.invoke('FieldType',CFtype);
    monitor.invoke('Frequency',CFrequency);
    monitor.invoke('Create');

end